diff -r -u3 nagios-1-x-cvs/base/nagios.c nagios-1-x-patch/base/nagios.c
--- nagios-1-x-cvs/base/nagios.c	Mon Nov 25 04:59:26 2002
+++ nagios-1-x-patch/base/nagios.c	Tue May  6 17:20:44 2003
@@ -1821,6 +1821,10 @@
 	/* adjust the next run time for all high priority timed events */
 	for(temp_event=event_list_high;temp_event!=NULL;temp_event=temp_event->next){
 
+		/* DON'T adjust log rotation events, it causes chaos! */
+		if (temp_event->event_type == EVENT_LOG_ROTATION)
+			continue;
+
 		/* we moved back in time... */
 		if(last_time>current_time){
 
Only in nagios-1-x-patch/: subst
